package cz.muni.fi.pb162.test3;

public interface Airport {
    
    /**
     * Metoda zaradi do fronty na pristani letadlo, ktere je zadano jako 
     * parametr teto metody. Metoda zkontroluje, jestli uz letadlo 
     * neni bez paliva. Pro zjisteni aktualniho casu (poctu milisekund od 
     * 1. 1. 1970) pouzijte dodanou metodu TimeService.getCurrentTime(). 
     * 
     * Poznamka: Normalne se ke zjisteni aktualniho casu pouziva 
     * System.currentTimeMillis(), ale v tomto pripade ji nepouzivejte.
     *
     * @throws AirplaneCrashException pokud uz nekteremu z letadel, ktere 
     * jsou predavany jako parametr a, doslo palivo.
     */
    void approach(Airplane airplane) throws AirplaneCrashException;

    /**
     * Metoda vybere z fronty letadlo, kteremu uz zbyva nejmene paliva, 
     * letadlo necha pristat a vrati jej jako navratovou hodnotu. Pokud
     * nad letistem zadne letadlo nekrouzi, vrati null. 
     *
     * @throws AirplaneCrashException pokud je ve fronte na rade letadlo,
     * kteremu uz doslo palivo (letadlo se samozrejme vyradi z fronty)
     */
    Airplane land() throws AirplaneCrashException;
    
}
